### Enumeration

# Tsparql SparqlError

#### Declaration

    error-domain Tsparql.SparqlError

#### Description [src]

Error domain for Tracker Sparql. Errors in this domain will be from the `TrackerSparqlError` enumeration. See `GError` for more information on error domains.

#### Members

`TRACKER_SPARQL_ERROR_CONSTRAINT`

  Subject is not in the domain of a property or trying to set multiple values for a single valued property.

  - Value: `0`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_INTERNAL`

  Internal error.

  - Value: `1`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_NO_SPACE`

  There was no disk space available to perform the request.

  - Value: `2`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_ONTOLOGY_NOT_FOUND`

  The specified ontology wasn’t found.

  - Value: `3`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_OPEN_ERROR`

  Problem encountered while opening the database.

  - Value: `4`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_PARSE`

  Error parsing the SPARQL string.

  - Value: `5`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_QUERY_FAILED`

  Problem while executing the query.

  - Value: `6`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_TYPE`

  Type constraint failed when trying to insert data.

  - Value: `7`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNKNOWN_CLASS`

  Unknown class.

  - Value: `8`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNKNOWN_GRAPH`

  Unknown graph.

  - Value: `9`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNKNOWN_PROPERTY`

  Unknown property.

  - Value: `10`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNSUPPORTED`

  Unsupported feature or method.

  - Value: `11`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_MISSING_LAST_MODIFIED_HEADER`

  The ontology doesn’t contain nrl:lastModified header.

  - Value: `12`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_INCOMPLETE_PROPERTY_DEFINITION`

  The property is not completely defined.

  - Value: `13`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_CORRUPT`

  A soft/hard corruption was found in the database during operation. If this error is obtained during regular operations with an existing `TrackerSparqlConnection`, the corruption was newly found. This event will be persistently recorded so that the `tracker_sparql_connection_new_async()` constructor (or its synchronous variant) will perform database repair attempts. If this error is obtained during one of those constructors, the database could not be repaired automatically and data loss is unavoidable. It is left to the discretion of the API user to set up the appropriate fallbacks in this situation, to replace the database and recover from the error. See `tracker_sparql_connection_new()` documentation for more information on corruption handling.

  - Value: `14`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_LAST`

  The total number of error codes.

  - Value: `15`
  - Available since: 3.0

#### Type functions

###### tracker_sparql_error_quark

No description available.